package com.ylx.massage.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ylx.common.annotation.Excel;
import com.ylx.common.core.domain.BaseEntity;

/**
 * 技师对象 ma_technician
 *
 * @author ylx
 * @date 2024-03-22
 */
public class MaTechnician extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 姓名 */
    @Excel(name = "姓名")
    private String teName;

    /** 性别(0女1男) */
    @Excel(name = "性别(0女1男)")
    private Long teSex;

    /** 电话 */
    @Excel(name = "电话")
    private String tePhone;

    /** 地址 */
    @Excel(name = "地址")
    private String teAddress;

    /** 年龄 */
    @Excel(name = "年龄")
    private Long teAge;

    /** 头像 */
    @Excel(name = "头像")
    private String teAvatar;

    /** 生活照 */
    @Excel(name = "生活照")
    private String lifePhotos;

    /** 简介 */
    @Excel(name = "简介")
    private String teBrief;

    /** 服务状态(0服务中,1可服务) */
    @Excel(name = "服务状态(0服务中,1可服务)")
    private Long serviceState;

    /** 是否在岗(0否1是) */
    @Excel(name = "是否在岗(0否1是)")
    private Long postState;

    /** 是否启用(0否1是) */
    @Excel(name = "是否启用(0否1是)")
    private Long teIsEnable;

    /** 创建人 */
    @Excel(name = "创建人")
    private Long createUser;

    /** 修改人 */
    @Excel(name = "修改人")
    private Long updateUser;

    /** 是否删除(0否1是) */
    @Excel(name = "是否删除(0否1是)")
    private Long isDelete;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setTeName(String teName)
    {
        this.teName = teName;
    }

    public String getTeName()
    {
        return teName;
    }
    public void setTeSex(Long teSex)
    {
        this.teSex = teSex;
    }

    public Long getTeSex()
    {
        return teSex;
    }
    public void setTePhone(String tePhone)
    {
        this.tePhone = tePhone;
    }

    public String getTePhone()
    {
        return tePhone;
    }
    public void setTeAddress(String teAddress)
    {
        this.teAddress = teAddress;
    }

    public String getTeAddress()
    {
        return teAddress;
    }
    public void setTeAge(Long teAge)
    {
        this.teAge = teAge;
    }

    public Long getTeAge()
    {
        return teAge;
    }
    public void setTeAvatar(String teAvatar)
    {
        this.teAvatar = teAvatar;
    }

    public String getTeAvatar()
    {
        return teAvatar;
    }
    public void setLifePhotos(String lifePhotos)
    {
        this.lifePhotos = lifePhotos;
    }

    public String getLifePhotos()
    {
        return lifePhotos;
    }
    public void setTeBrief(String teBrief)
    {
        this.teBrief = teBrief;
    }

    public String getTeBrief()
    {
        return teBrief;
    }
    public void setServiceState(Long serviceState)
    {
        this.serviceState = serviceState;
    }

    public Long getServiceState()
    {
        return serviceState;
    }
    public void setPostState(Long postState)
    {
        this.postState = postState;
    }

    public Long getPostState()
    {
        return postState;
    }
    public void setTeIsEnable(Long teIsEnable)
    {
        this.teIsEnable = teIsEnable;
    }

    public Long getTeIsEnable()
    {
        return teIsEnable;
    }
    public void setCreateUser(Long createUser)
    {
        this.createUser = createUser;
    }

    public Long getCreateUser()
    {
        return createUser;
    }
    public void setUpdateUser(Long updateUser)
    {
        this.updateUser = updateUser;
    }

    public Long getUpdateUser()
    {
        return updateUser;
    }
    public void setIsDelete(Long isDelete)
    {
        this.isDelete = isDelete;
    }

    public Long getIsDelete()
    {
        return isDelete;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("teName", getTeName())
            .append("teSex", getTeSex())
            .append("tePhone", getTePhone())
            .append("teAddress", getTeAddress())
            .append("teAge", getTeAge())
            .append("teAvatar", getTeAvatar())
            .append("lifePhotos", getLifePhotos())
            .append("teBrief", getTeBrief())
            .append("serviceState", getServiceState())
            .append("postState", getPostState())
            .append("teIsEnable", getTeIsEnable())
            .append("createUser", getCreateUser())
            .append("updateUser", getUpdateUser())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("isDelete", getIsDelete())
            .toString();
    }
}
